mconv_buffer_converter(3m17n)

NAME
mconv_buffer_converter - Create a code converter bound to a buffer.

SYNOPSIS
MConverter* mconv_buffer_converter (MSymbol name, const unsigned char * buf, int n)

DESCRIPTION
Create a code converter bound to a buffer.

The mconv_buffer_converter() function creates a pointer to a code converter for coding system name. The code converter is bound to buffer area of n bytes pointed to by buf. Subsequent decodings and encodings are done to/from this buffer area.

name can be Mnil. In this case, a coding system associated with the current locale (LC_CTYPE) is used.

RETURN VALUE

    If the operation was successful, mconv_buffer_converter() returns the created code converter. Otherwise it returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_SYMBOL, MERROR_CODING

See Also:
    mconv_stream_converter()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.